Subject: Re: [PATCH net-next 10/14] net: vlan: Propagate MC addresses with VID through switchdev

From: Ido Schimmel <[email-masked]>
Date: Thu, 17 Jan 2019 14:49:42 +0000

On Wed, Jan 16, 2019 at 12:00:58PM -0800, Florian Fainelli wrote:
> The VLAN real device could be an Ethernet switch port and that switch
> might have VLAN filtering globally enabled (because of a bridge
> requesting VLAN filtering on the switch on another port) and so when
> programming multicast addresses, we need the multicast filter
> programming to be aware of the correct VLAN ID as well.

This looks like a quirk of a specific device. How bad is it to patch the
driver to add a multicast address for every configured VLAN?

Also, I think it's weird that we have one API to program address and a
completely different API (via switchdev) to program address+VID pairs.
Extending current API might make more sense.